Subject: Re: SFQ: Reordering?

From: Patrick McHardy <[email-masked]>
Date: Sat, 07 May 2005 01:19:14 +0200

Thomas Graf wrote:
> We can maintain a second hash table and switch a pointer over to the
> new table but keep on dequeueing from the old one until it is empty.
> Anyways, any such behaviour should be made optional via a rtnetlink
> flag.

This also introduces unfairness. Packets of a flow could be only in
the new table while we're still working on the active table.
A proper solution to avoid reordering shouldn't be optional IMO,
perturbation is already optional.

Regards
Patrick